#
# spec file for package dhcpdetector (Version 1.0b)
#
#
# norootforbuild

Name:		dhcpdetector
Summary:	Discovers DHCP servers on your network
License:	LGPL v2 or later
Group:		Productivity/Networking/Diagnostic
Version:	1.0b
Release:	1.2
Url:		http://sourceforge.net/projects/dhcpdetector/
Source0:	%{name}.tar.bz2
Source100:	%{name}.changes
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Patch0:		%{name}-include.diff
Autoreqprov:	on

%description
DHCPDetector discovers all DHCP servers on your network and gives some info about them.
It can be used to detect rouge DHCP servers. DHCPdetector must be run with root privileges.

Usage: 

dhcpdetector [-h (help)]  [-v (version info)] [interface]

%prep 
%setup -q -n dhcpdetect
%patch0 -p0

%build

cd src_%{version}

gcc $RPM_OPT_FLAGS dhcpdetector.c -o %{name}

strip %{name}

%install

mkdir -p %{buildroot}/%{_sbindir}

install -m 755 src_%{version}/%{name} %{buildroot}/%{_sbindir}

%clean

rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_sbindir}/%{name}

%changelog
* Tue Feb  9 2010 packman@links2linux.de - 1.0b
- initial package for packman, version 1.0b
* Thu Mar 26 2009 AxelKoellhofer@web.de - 1.0b
- initial package, version 1.0b
